Bug 248082 - net/yaz: Update to 5.30.3
Summary: net/yaz: Update to 5.30.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://software.indexdata.com/yaz/do...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-18 20:58 UTC by Marcel Bischoff
Modified: 2020-08-02 14:03 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.14 KB, patch)
2020-07-18 20:58 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-18 20:58:26 UTC
Created attachment 216555 [details]
Patch

Portscout flagged this port and since it has no maintainer, here's an update to the latest version.
Comment 1 Automation User 2020-07-18 21:12:31 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168170428
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-22 05:30:29 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 3 Marcel Bischoff 2020-07-30 18:04:05 UTC
From Changelog: https://software.indexdata.com/yaz/doc/NEWS

* Require getaddrinfo which has been available since 2003
* Provide server host for SSL by using gnutls_server_name_set(3)
* Obey [host]:port notation for IPV6
* Minor fixes to 'make dist' handling
* Fixes pazpar2 tests that relies on specific records being returned.
* Increase a few buffers due to compiler warning
* Buffers are involving %d-conversions
* No build directories in installed yaz-config
* Various spell fixes for documentation
* Document leader_spec for retrieval facility
* Extend the record conversion routines to handle OPAC encoding with outputcharset and leaderspec
* Several fixes for danmarc(2) charset encoding and decoding
* Fix yaz-marcdump silently creates MARC-records with an invalid directory
* Add pkg-config templates for YAZ ICU and YAZ server
Comment 4 commit-hook freebsd_committer 2020-08-02 14:00:09 UTC
A commit references this bug:

Author: swills
Date: Sun Aug  2 13:59:51 UTC 2020
New revision: 543961
URL: https://svnweb.freebsd.org/changeset/ports/543961

Log:
  net/yaz: Update to 5.30.3

  PR:		248082
  Submitted by:	Marcel Bischoff <marcel@herrbischoff.com>

Changes:
  head/net/yaz/Makefile
  head/net/yaz/distinfo
  head/net/yaz/pkg-plist
Comment 5 Steve Wills freebsd_committer 2020-08-02 14:03:05 UTC
Committed, thanks!